var width = 1160,
	height = 700;
var polyCanvas = d3.select("body")
	.append("canvas")
	.attr("width",width)
	.attr("height",height)
	.style("display","block");


// var canvas = document.getElementById('my_dataviz');
// var width = canvas.offsetWidth
// var height = canvas.offsetHeight
const mercator = d3.geoMercator()
.scale(width / 1.9 / Math.PI *5)
.translate([width/2, height/2])
.center([80,22.9]);


// var ctx = canvas.getContext('2d');
var pathGenerator = d3.geoPath().projection(mercator);
var polyContext = polyCanvas.node().getContext("2d");

// const pathGenerator = d3.geoPath(mercator, ctx);
// ctx.fillStyle = '#ddd';
// ctx.fillRect(0, 0, width, height);
d3.json("https://gist.githubusercontent.com/AnimeshN/8ee87a2d19b3683253faaa27b168250b/raw/8c978e5914365982438314ded456db27e2008736/india_state_updated_topojsonv1.json", function(data){
  let features = topojson.feature(data, data.objects.state).features;

  let i = features.length;
  while(i--){
  	var r = parseInt(i/256)
    var g = i % 256;
    		drawPolygon( features[i], polyContext, "rgb(" + r + "," + g + ",0)" );


  }
    
})
function drawPolygon( feature, context, fill ){
	var coordinates = feature.geometry.coordinates;
	context.fillStyle = fill || "#000";
	context.beginPath();
	coordinates.forEach( function(ring){
		ring.forEach( function(coord, i){
			var projected = mercator( coord );
			if (i == 0) {
                context.moveTo(projected[0], projected[1]);
            } else {
                context.lineTo(projected[0], projected[1]);
            }
		});
	});
	context.closePath();
	context.fill();
}

